Package com.orchestranetworks.ui

# Class UIButtonIcon

java.lang.Object
com.orchestranetworks.ui.UIButtonIcon

public class UIButtonIcon extends Object
This class is used to set the icon of a button.

Since:
  5.2.0
See Also:
  - `UIButtonSpec.setButtonIcon(UIButtonIcon)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final UIButtonIcon`
  `ADD`
  `static final UIButtonIcon`
  `BINOCULARS`
  `static final UIButtonIcon`
  `BLOCK_COLLAPSE`
  `static final UIButtonIcon`
  `BLOCK_EXPAND`
  `static final UIButtonIcon`
  `CALENDAR`
  `static final UIButtonIcon`
  `CAMERA`
  `static final UIButtonIcon`
  `CLOSE`
  `static final UIButtonIcon`
  `COLOR_PICKER`
  `static final UIButtonIcon`
  `COMMENTS`
  `static final UIButtonIcon`
  `DELETE`
  `static final UIButtonIcon`
  `DUPLICATE`
  `static final UIButtonIcon`
  `DYNAMIC_HIDDEN`
  `static final UIButtonIcon`
  `EDIT`
  `static final UIButtonIcon`
  `EMPTY`
  `static final UIButtonIcon`
  `FILTER`
  `static final UIButtonIcon`
  `FIND_NEXT`
  `static final UIButtonIcon`
  `FIND_PREVIOUS`
  `static final UIButtonIcon`
  `FULLSCREEN_OFF`
  `static final UIButtonIcon`
  `FULLSCREEN_ON`
  `static final UIButtonIcon`
  `HAMBURGER_MENU`
  `static final UIButtonIcon`
  `HELP`
  `static final UIButtonIcon`
  `HOME`
  `static final UIButtonIcon`
  `INFINITE`
  `static final UIButtonIcon`
  `INFO`
  `static final UIButtonIcon`
  `INHERITED`
  `static final UIButtonIcon`
  `INHERITED_FIELD`
  `static final UIButtonIcon`
  `LABEL_DETAILS`
  `static final UIButtonIcon`
  `LOGOUT`
  `static final UIButtonIcon`
  `MAILTO`
  `static final UIButtonIcon`
  `MENU`
  `static final UIButtonIcon`
  `MORE_VERT`
  `static final UIButtonIcon`
  `MOVE_ALL_LEFT`
  `static final UIButtonIcon`
  `MOVE_ALL_RIGHT`
  `static final UIButtonIcon`
  `MOVE_BOTTOM`
  `static final UIButtonIcon`
  `MOVE_DOWN`
  `static final UIButtonIcon`
  `MOVE_LEFT`
  `static final UIButtonIcon`
  `MOVE_RIGHT`
  `static final UIButtonIcon`
  `MOVE_TOP`
  `static final UIButtonIcon`
  `MOVE_UP`
  `static final UIButtonIcon`
  `NEXT_STEP`
  `static final UIButtonIcon`
  `NO_SEARCH`
  `static final UIButtonIcon`
  `NULL`
  `static final UIButtonIcon`
  `PAGING_FIRST`
  `static final UIButtonIcon`
  `PAGING_LAST`
  `static final UIButtonIcon`
  `PAGING_NEXT`
  `static final UIButtonIcon`
  `PAGING_PREVIOUS`
  `static final UIButtonIcon`
  `PERSPECTIVES`
  `static final UIButtonIcon`
  `PREVIEW`
  `static final UIButtonIcon`
  `PREVIOUS_STEP`
  `static final UIButtonIcon`
  `REMOVE_ALL_ITEMS`
  `static final UIButtonIcon`
  `REMOVE_ITEM`
  `static final UIButtonIcon`
  `REVERT`
  `static final UIButtonIcon`
  `SCROLL_LEFT`
  `static final UIButtonIcon`
  `SCROLL_RIGHT`
  `static final UIButtonIcon`
  `SEARCH`
  `static final UIButtonIcon`
  `SEE_MORE`
  `static final UIButtonIcon`
  `SETTINGS`
  `static final UIButtonIcon`
  `SORT_BY_RELEVANCY`
  `static final UIButtonIcon`
  `STAR_EMPTY`
  `static final UIButtonIcon`
  `STAR_FULL`
  `static final UIButtonIcon`
  `TRASHCAN`
  `static final UIButtonIcon`
  `WIZARD`
  `static final UIButtonIcon`
  `WORKFLOW`
  `static final UIButtonIcon`
  `WORKFLOW_ERROR`
  `static final UIButtonIcon`
  `WORKFLOW_INCOMING`
  `static final UIButtonIcon`
  `WORKITEM`
  `static final UIButtonIcon`
  `WORKITEM_ALLOCATED`
  `static final UIButtonIcon`
  `WORKITEM_COMPLETED`
  `static final UIButtonIcon`
  `WORKITEM_ERROR`
  `static final UIButtonIcon`
  `WORKITEM_OFFERED`
  `static final UIButtonIcon`
  `WORKITEM_STARTED`
  `static final UIButtonIcon`
  `WRENCH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCSSClass()`
  `String`
  `toString()`
  For debug purpose only.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PERSPECTIVES

    public static final UIButtonIcon PERSPECTIVES

  - ### SEARCH

    public static final UIButtonIcon SEARCH

  - ### HOME

    public static final UIButtonIcon HOME

  - ### COMMENTS

    public static final UIButtonIcon COMMENTS

  - ### MENU

    public static final UIButtonIcon MENU

  - ### HAMBURGER_MENU

    public static final UIButtonIcon HAMBURGER_MENU

  - ### ADD

    public static final UIButtonIcon ADD

  - ### TRASHCAN

    public static final UIButtonIcon TRASHCAN

  - ### REMOVE_ITEM

    public static final UIButtonIcon REMOVE_ITEM

  - ### REMOVE_ALL_ITEMS

    public static final UIButtonIcon REMOVE_ALL_ITEMS

  - ### DELETE

    public static final UIButtonIcon DELETE

  - ### EMPTY

    public static final UIButtonIcon EMPTY

  - ### DYNAMIC_HIDDEN

    public static final UIButtonIcon DYNAMIC_HIDDEN

  - ### CALENDAR

    public static final UIButtonIcon CALENDAR

  - ### COLOR_PICKER

    public static final UIButtonIcon COLOR_PICKER

  - ### WIZARD

    public static final UIButtonIcon WIZARD

  - ### EDIT

    public static final UIButtonIcon EDIT

  - ### NULL

    public static final UIButtonIcon NULL

  - ### INHERITED

    public static final UIButtonIcon INHERITED

  - ### INHERITED_FIELD

    public static final UIButtonIcon INHERITED_FIELD

  - ### INFINITE

    public static final UIButtonIcon INFINITE

  - ### WRENCH

    public static final UIButtonIcon WRENCH

  - ### SETTINGS

    public static final UIButtonIcon SETTINGS

  - ### MAILTO

    public static final UIButtonIcon MAILTO

  - ### CAMERA

    public static final UIButtonIcon CAMERA

  - ### WORKFLOW_INCOMING

    public static final UIButtonIcon WORKFLOW_INCOMING

  - ### WORKITEM_OFFERED

    public static final UIButtonIcon WORKITEM_OFFERED

  - ### WORKITEM_ALLOCATED

    public static final UIButtonIcon WORKITEM_ALLOCATED

  - ### WORKITEM_STARTED

    public static final UIButtonIcon WORKITEM_STARTED

  - ### WORKITEM_COMPLETED

    public static final UIButtonIcon WORKITEM_COMPLETED

  - ### WORKITEM_ERROR

    public static final UIButtonIcon WORKITEM_ERROR

  - ### WORKITEM

    public static final UIButtonIcon WORKITEM

  - ### WORKFLOW

    public static final UIButtonIcon WORKFLOW

  - ### WORKFLOW_ERROR

    public static final UIButtonIcon WORKFLOW_ERROR

  - ### SEE_MORE

    public static final UIButtonIcon SEE_MORE

  - ### LABEL_DETAILS

    public static final UIButtonIcon LABEL_DETAILS

  - ### INFO

    public static final UIButtonIcon INFO

  - ### PREVIEW

    public static final UIButtonIcon PREVIEW

  - ### CLOSE

    public static final UIButtonIcon CLOSE

  - ### LOGOUT

    public static final UIButtonIcon LOGOUT

  - ### HELP

    public static final UIButtonIcon HELP

  - ### MOVE_ALL_LEFT

    public static final UIButtonIcon MOVE_ALL_LEFT

  - ### MOVE_LEFT

    public static final UIButtonIcon MOVE_LEFT

  - ### MOVE_RIGHT

    public static final UIButtonIcon MOVE_RIGHT

  - ### MOVE_ALL_RIGHT

    public static final UIButtonIcon MOVE_ALL_RIGHT

  - ### MOVE_TOP

    public static final UIButtonIcon MOVE_TOP

  - ### MOVE_UP

    public static final UIButtonIcon MOVE_UP

  - ### MOVE_DOWN

    public static final UIButtonIcon MOVE_DOWN

  - ### MOVE_BOTTOM

    public static final UIButtonIcon MOVE_BOTTOM

  - ### PAGING_FIRST

    public static final UIButtonIcon PAGING_FIRST

  - ### PAGING_PREVIOUS

    public static final UIButtonIcon PAGING_PREVIOUS

  - ### PAGING_NEXT

    public static final UIButtonIcon PAGING_NEXT

  - ### PAGING_LAST

    public static final UIButtonIcon PAGING_LAST

  - ### PREVIOUS_STEP

    public static final UIButtonIcon PREVIOUS_STEP

  - ### NEXT_STEP

    public static final UIButtonIcon NEXT_STEP

  - ### SCROLL_LEFT

    public static final UIButtonIcon SCROLL_LEFT

  - ### SCROLL_RIGHT

    public static final UIButtonIcon SCROLL_RIGHT

  - ### STAR_EMPTY

    public static final UIButtonIcon STAR_EMPTY
    Since:
      5.8.0

  - ### STAR_FULL

    public static final UIButtonIcon STAR_FULL
    Since:
      5.8.0

  - ### REVERT

    public static final UIButtonIcon REVERT
    Since:
      5.8.0

  - ### DUPLICATE

    public static final UIButtonIcon DUPLICATE
    Since:
      5.8.1

  - ### MORE_VERT

    public static final UIButtonIcon MORE_VERT
    Since:
      5.9.0

  - ### FILTER

    public static final UIButtonIcon FILTER
    Since:
      5.9.0

  - ### FULLSCREEN_ON

    public static final UIButtonIcon FULLSCREEN_ON
    Since:
      6.0.0

  - ### FULLSCREEN_OFF

    public static final UIButtonIcon FULLSCREEN_OFF
    Since:
      6.0.0

  - ### NO_SEARCH

    public static final UIButtonIcon NO_SEARCH
    Since:
      6.0.0

  - ### SORT_BY_RELEVANCY

    public static final UIButtonIcon SORT_BY_RELEVANCY
    Since:
      6.0.0

  - ### BINOCULARS

    public static final UIButtonIcon BINOCULARS
    Since:
      6.0.0

  - ### FIND_PREVIOUS

    public static final UIButtonIcon FIND_PREVIOUS
    Since:
      6.0.0

  - ### FIND_NEXT

    public static final UIButtonIcon FIND_NEXT
    Since:
      6.0.0

  - ### BLOCK_EXPAND

    public static final UIButtonIcon BLOCK_EXPAND
    Since:
      6.0.0

  - ### BLOCK_COLLAPSE

    public static final UIButtonIcon BLOCK_COLLAPSE
    Since:
      6.0.0

- ## Method Details

  - ### getCSSClass

    public String getCSSClass()

  - ### toString

    public String toString()
    For debug purpose only.
    Overrides:
      `toString` in class `Object`